cURL
curl --request GET \ --url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts \ --header 'Api-Key: <api-key>'
200
Example
{ "count": 123, "data": [ { "id": "<string>", "customer_id": "<string>", "status": "active", "balances": { "available": { "amount": "<string>", "currency": "usdc" }, "hold": { "amount": "<string>", "currency": "usdc" } }, "freezes": [ { "card_account_id": "<string>", "reason": "lost_or_stolen", "created_at": "<string>", "reason_detail": "<string>", "starting_at": "<string>", "ending_at": "<string>" } ], "client_reference_id": "<string>", "card_image_url": "<string>", "status_reason": "<string>", "additional_funding_instructions": [ { "currency": "usdc", "chain": "arbitrum", "address": "<string>", "memo": "<string>" } ] } ] }
Retrieve all card accounts for a customer. Currently, only one account is supported. An empty array will be returned if no card has been provisioned
A UUID that uniquely identifies a resource
1 - 42
[a-z0-9]*
List of all card accounts owned by the customer
The number of card accounts returned
Show child attributes
Was this page helpful?